commit 4a669c711b7baf8c71cdde46959eb05cb7221ad9
Author: Kostas Papadimitriou <kpap@grnet.gr>
Date:   Wed Feb 22 13:45:55 2012 +0200

    Fixed additional conflicts from previous merge

diff --git a/docs/source/conf.py b/docs/source/conf.py
index c2b5fa9..c950734 100644
--- a/docs/source/conf.py
+++ b/docs/source/conf.py
@@ -16,9 +16,9 @@ import sys, os
 # If extensions (or modules to document with autodoc) are in another directory,
 # add these directories to sys.path here. If the directory is relative to the
 # documentation root, use os.path.abspath to make it absolute, like shown here.
-sys.path.insert(0, os.path.abspath('..'))
+sys.path.insert(0, os.path.abspath('../..'))
 
-from pithos import settings
+from synnefo import settings
 from django.core.management import setup_environ
 setup_environ(settings)
 
diff --git a/snf-pithos-app/pithos/api/synnefo_settings.py b/snf-pithos-app/pithos/api/synnefo_settings.py
index 328eb7a..e1d1681 100644
--- a/snf-pithos-app/pithos/api/synnefo_settings.py
+++ b/snf-pithos-app/pithos/api/synnefo_settings.py
@@ -1,88 +1,3 @@
-#coding=utf8
-# Django settings for pithos project.
-
-from os.path import abspath, dirname, exists, join
-
-PROJECT_PATH = dirname(abspath(__file__))
-
-DEBUG = True
-TEMPLATE_DEBUG = DEBUG
-
-ADMINS = (
-    # ('Your Name', 'your_email@domain.com'),
-)
-
-MANAGERS = ADMINS
-
-DATABASES = {
-    'default': {
-        'ENGINE': 'django.db.backends.sqlite3',
-        'NAME': join(PROJECT_PATH, 'pithos.db')
-    }
-}
-
-# Local time zone for this installation. Choices can be found here:
-# http://en.wikipedia.org/wiki/List_of_tz_zones_by_name
-# although not all choices may be available on all operating systems.
-# If running in a Windows environment this must be set to the same as your
-# system time zone.
-TIME_ZONE = 'UTC'
-
-# Language code for this installation. All choices can be found here:
-# http://www.i18nguy.com/unicode/language-identifiers.html
-LANGUAGE_CODE = 'en-us'
-
-SITE_ID = 1
-
-# If you set this to False, Django will make some optimizations so as not
-# to load the internationalization machinery.
-USE_I18N = True
-
-# If you set this to False, Django will not format dates, numbers and
-# calendars according to the current locale
-USE_L10N = True
-
-# Absolute path to the directory that holds media.
-# Example: "/home/media/media.lawrence.com/"
-MEDIA_ROOT = ''
-
-# URL that handles the media served from MEDIA_ROOT. Make sure to use a
-# trailing slash if there is a path component (optional in other cases).
-# Examples: "http://media.lawrence.com", "http://example.com/media/"
-MEDIA_URL = ''
-
-# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
-# trailing slash.
-# Examples: "http://foo.com/media/", "/media/".
-ADMIN_MEDIA_PREFIX = '/media/'
-
-# Make this unique, and don't share it with anybody.
-SECRET_KEY = '$j0cdrfm*0sc2j+e@@2f-&3-_@2=^!z#+b-8o4_i10@2%ev7si'
-
-# List of callables that know how to import templates from various sources.
-TEMPLATE_LOADERS = (
-    'django.template.loaders.filesystem.Loader',
-    'django.template.loaders.app_directories.Loader',
-)
-
-MIDDLEWARE_CLASSES = (
-    'django.middleware.common.CommonMiddleware',
-    #'django.middleware.csrf.CsrfViewMiddleware',
-    #'django.contrib.sessions.middleware.SessionMiddleware',
-    #'django.contrib.auth.middleware.AuthenticationMiddleware',
-    #'django.contrib.messages.middleware.MessageMiddleware',
-    'pithos.middleware.LoggingConfigMiddleware',
-    'pithos.middleware.SecureMiddleware'
-)
-
-ROOT_URLCONF = 'pithos.urls'
-
-TEMPLATE_DIRS = (
-    # Put strings here, like "/home/html/django_templates" or "C:/www/django/templates".
-    # Always use forward slashes, even on Windows.
-    # Don't forget to use absolute paths, not relative paths.
-)
-
 # Setup logging (use this name for the setting to avoid conflicts with django > 1.2.x).
 LOGGING_SETUP = {
     'version': 1,
@@ -111,23 +26,8 @@ LOGGING_SETUP = {
     'loggers': {
         'pithos': {
             'handlers': ['console'],
-            'level': 'DEBUG' if DEBUG else 'INFO'
+            'level': 'INFO'
         },
     }
 }
 
-# The server is behind a proxy (apache and gunicorn setup).
-USE_X_FORWARDED_HOST = False
-
-# Set umask (needed for gunicorn setup).
-#umask(0077)
-
-conf = join(PROJECT_PATH, 'settings.local')
-if exists(conf):
-    execfile(conf)
-elif exists('/etc/pithos/settings.local'):
-    execfile('/etc/pithos/settings.local')
-
-INSTALLED_APPS = (
-    'pithos.api',
-)
diff --git a/snf-pithos-app/pithos/synnefo_settings.py b/snf-pithos-app/pithos/synnefo_settings.py
index 97c4374..d59687b 100644
--- a/snf-pithos-app/pithos/synnefo_settings.py
+++ b/snf-pithos-app/pithos/synnefo_settings.py
@@ -4,15 +4,13 @@ Hooks for snf-webproject used in snf-pithos-app setup.py entry_points
 
 from django.conf.urls.defaults import include, patterns
 
-synnefo_installed_apps = ['pithos.ui', 'pithos.api']
+synnefo_installed_apps = ['pithos.api']
 synnefo_urls = patterns('',
     (r'', include('pithos.urls')),
 )
 synnefo_middlewares = [
     'pithos.middleware.LoggingConfigMiddleware',
-    'pithos.middleware.SecureMiddleware',
-    'pithos.middleware.UserMiddleware'
+    'pithos.middleware.SecureMiddleware'
 ]
 
-from pithos.api.settings import *
-from pithos.ui.settings import *
+from pithos.api.synnefo_settings import *
diff --git a/snf-pithos-app/pithos/ui/__init__.py b/snf-pithos-app/pithos/ui/__init__.py
deleted file mode 100644
index e69de29..0000000
diff --git a/snf-pithos-app/pithos/ui/settings.py b/snf-pithos-app/pithos/ui/settings.py
deleted file mode 100644
index 22c0a52..0000000
--- a/snf-pithos-app/pithos/ui/settings.py
+++ /dev/null
@@ -1,2 +0,0 @@
-FEEDBACK_FROM_EMAIL = 'Pithos <no-reply@grnet.gr>'
-FEEDBACK_CONTACT_EMAIL = 'support@pithos.grnet.gr'
diff --git a/snf-pithos-app/pithos/ui/urls.py b/snf-pithos-app/pithos/ui/urls.py
deleted file mode 100644
index 8d5451a..0000000
--- a/snf-pithos-app/pithos/ui/urls.py
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 2011 GRNET S.A. All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or
-# without modification, are permitted provided that the following
-# conditions are met:
-#
-#   1. Redistributions of source code must retain the above
-#      copyright notice, this list of conditions and the following
-#      disclaimer.
-#
-#   2. Redistributions in binary form must reproduce the above
-#      copyright notice, this list of conditions and the following
-#      disclaimer in the documentation and/or other materials
-#      provided with the distribution.
-#
-# THIS SOFTWARE IS PROVIDED BY GRNET S.A. ``AS IS'' AND ANY EXPRESS
-# OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
-# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
-# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL GRNET S.A OR
-# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
-# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
-# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
-# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
-# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
-# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-# POSSIBILITY OF SUCH DAMAGE.
-#
-# The views and conclusions contained in the software and
-# documentation are those of the authors and should not be
-# interpreted as representing official policies, either expressed
-# or implied, of GRNET S.A.
-
-from django.conf.urls.defaults import *
-
-urlpatterns = patterns('pithos.ui.views',
-    (r'^/feedback$', 'send_feedback'),
-)
diff --git a/snf-pithos-backend/pithos/backends/settings.py b/snf-pithos-backend/pithos/backends/settings.py
deleted file mode 100644
index af6c6c1..0000000
--- a/snf-pithos-backend/pithos/backends/settings.py
+++ /dev/null
@@ -1,15 +0,0 @@
-# SQLAlchemy (choose SQLite/MySQL/PostgreSQL).
-from os.path import join
-
-BACKEND_PATH = '/srv/pithos'
-BACKEND_DB_MODULE = 'pithos.backends.lib.sqlalchemy'
-
-BACKEND_DB_CONNECTION = 'sqlite:////' + BACKEND_PATH + '/pithos-backend.db'
-
-# Block storage.
-BACKEND_BLOCK_MODULE = 'pithos.backends.lib.hashfiler'
-BACKEND_BLOCK_PATH = join(BACKEND_PATH, 'data/')
-
-# Default setting for new accounts.
-BACKEND_QUOTA = 50 * 1024 * 1024 * 1024
-BACKEND_VERSIONING = 'auto'
diff --git a/snf-pithos-backend/setup.py b/snf-pithos-backend/setup.py
index 590d7fe..79134e7 100644
--- a/snf-pithos-backend/setup.py
+++ b/snf-pithos-backend/setup.py
@@ -198,9 +198,6 @@ setup(
     entry_points = {
      'console_scripts': [
          ],
-     'synnefo': [
-         'default_settings = pithos.backends.settings',
-         ]
       },
 )
 
